org.apache.ignite.internal.util.lang

## Enum GridMetadataAwareAdapter.EntryKey

- java.lang.Object
- - java.lang.Enum<GridMetadataAwareAdapter.EntryKey>
  - - org.apache.ignite.internal.util.lang.GridMetadataAwareAdapter.EntryKey

All Implemented Interfaces:
  Serializable, Comparable<GridMetadataAwareAdapter.EntryKey>

Enclosing class:
  GridMetadataAwareAdapter

    public static enum GridMetadataAwareAdapter.EntryKey
    extends Enum<GridMetadataAwareAdapter.EntryKey>

Enum stored predefined keys.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CACHE_EVICTABLE_ENTRY_KEY` Predefined key.
`CACHE_EVICTION_MANAGER_KEY` Predefined key.
`CACHE_STORE_MANAGER_KEY` Predefined key.

### Method Summary

Methods
`int` `key()` Returns key.
`static GridMetadataAwareAdapter.EntryKey` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridMetadataAwareAdapter.EntryKey[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CACHE_STORE_MANAGER_KEY

    public static final GridMetadataAwareAdapter.EntryKey CACHE_STORE_MANAGER_KEY

Predefined key.

#### CACHE_EVICTABLE_ENTRY_KEY

    public static final GridMetadataAwareAdapter.EntryKey CACHE_EVICTABLE_ENTRY_KEY

Predefined key.

#### CACHE_EVICTION_MANAGER_KEY

    public static final GridMetadataAwareAdapter.EntryKey CACHE_EVICTION_MANAGER_KEY

Predefined key.

### Method Detail

#### values

    public static GridMetadataAwareAdapter.EntryKey[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridMetadataAwareAdapter.EntryKey c : GridMetadataAwareAdapter.EntryKey.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridMetadataAwareAdapter.EntryKey valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### key

    public int key()

Returns key.

Returns:
  key.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017